using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;

namespace Topsdk.Top.Ability304.Request;

public class TaobaoOpenuidGetBymixnickRequest : AbstractTopApiRequest
{

    /*
        无线类应用获取到的混淆的nick
            */
    private string? mixNick;


    [JsonPropertyName("mix_nick")]
    public string? MixNick
    {
        get => mixNick;
        set => this.mixNick = value;
    }



    public override IDictionary<string, string> ToRequestParam()
    {
        IDictionary<string, string> requestParam = new Dictionary<string, string>();
        if(this.mixNick != null)
        {
            requestParam.Add("mix_nick",TopUtils.ConvertBasicType(this.mixNick));
        }
        return requestParam;
    }

    public override IDictionary<string, TopFileItem> ToFileParam()
    {
        IDictionary<string, TopFileItem> fileParam = new Dictionary<string, TopFileItem>();
        return fileParam;
    }

    public override string GetApiCode()
    {
        return "taobao.openuid.get.bymixnick";
    }

}

